This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 527062

Summary: T61p backlight does not recover
Product: [Fedora] Fedora Reporter: D. E. Evans <sinuhe>
Component: halAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: adam, rhughes, richard
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-04 02:34:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
sleep hook for backlight restore
none
70.bl sleep hook none

Description D. E. Evans 2009-10-03 16:29:34 EDT
Description of problem:
When the T7500 laptop recovers from a screen blank in runlevel 3, the LCP panel backlight remains off.  Backlight works fine--is restored--switching to runlevel 5 with GDM.

Version-Release number of selected component (if applicable):
hal-0.5.12-29.20090226git.fc11.x86_64
Comment 1 D. E. Evans 2009-10-11 22:10:09 EDT
If I toggle the value in /proc/acpi/video/VID1/LCD0/brightness to 100 as root (is at 28 after screen blank), this will restore brightness from the console, without launching gdm.  The acpitool program unfortunately looks in the wrong /proc directory for this file.  What is the appropriate method for setting backlight setting persistence on screen blank restore?

PS GDM from runlevel 5 restores brightness, but running startx does not (nor do the two function bright keys work, without GDM).
Comment 2 Richard Hughes 2009-10-12 02:44:37 EDT
You need to use gnome-power-manager, HAL is a mechanism agent, not a policy agent. If you run gdm, gnome-power-manager is run and thus the buttons and policy work. If you don't want to run g-p-m, you can use xfce-power-manager or kpowersave.
Comment 3 D. E. Evans 2009-10-12 19:19:30 EDT
Runlevel 3, not 5.  I want the backlight to work after logging out from the *text* terminal, (i.e I don't want to install the GUI at all: no X).  The point about gdm is that I have to install it and switch to runlevel 5, then the backlight is restored, or if I modify the /proc file system.
Comment 4 Richard Hughes 2009-10-13 05:02:44 EDT
Then you need to add in manually the appropriate command for your laptop in /etc/pm/sleep.d/ for the resume and thaw actions.

HAL is a mechanism agent, not a policy agent. If you want to apply policy then you either have to do it in the kernel and choose sane defaults, or do it in userspace. The way we've chosen to do this in userspace is in the session layer, not the system layer.
Comment 5 D. E. Evans 2009-10-13 22:27:35 EDT
Created attachment 364675 [details]
sleep hook for backlight restore

Oh, I see.  Thank you.  This is a recent (2 months?) change; I'm curious what the change was.  Attached is the hook I added:
Comment 6 D. E. Evans 2009-10-25 02:21:11 EDT
Created attachment 366001 [details]
70.bl sleep hook

attempted sleep hook to restore back light on restore (suspend resume?).
Comment 7 D. E. Evans 2009-10-25 02:28:41 EDT
The attached sleep hook doesn't seem to work.  It is my best attempt at following your advice regarding backlight restoration.  It must be manually run to work, but does not automatically run.  Please pardon my ignorance, but this seems to be a bug with 2.6.30, not a suspend/hibernate policy issue.  What am I missing?  What documentation have I not read that I should have (i.e. pm-utils READMEs, etc.)?  What should I be doing, that I am not, to impliment a policy, instead of an expectation that HAL mechanisms should automatically handle this?
Comment 8 D. E. Evans 2009-11-30 14:53:35 EST
This issue continues to be present in FC12.  This now occurs whether I'm in runlevel 3 or 5, if I switch to a virtual terminal, and let the screen blank.  The sleep hook previously attached does not execute on recovery (though the nouveau driver now supports suspend when I close the lid).  Recovery requires my running the script manually, or increasing the brightness in GNOME.
Comment 9 D. E. Evans 2010-01-27 12:39:16 EST
I had thought this issue was specific to runlevel 3, but I just encountered it after a suspend from e16 (runlevel 5, with gdm running). The 70.bl script above had to be run manually to restore brightness.
Comment 10 D. E. Evans 2010-01-27 12:40:07 EST
s/runlevel 3/the text terminal/
Comment 11 Bug Zapper 2010-11-04 05:40:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-04 02:34:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.